## libgooglepinyin 0.1.1+hg20111109

=== debian/changelog ===
libgooglepinyin (0.1.1+hg20111109-1) unstable; urgency=low

  * New upstream snapshot:
    + Change the data's path, per Policy 9.1.1 (Closes: #646958)
    + Add big endian support.

 -- Aron Xu <aron@debian.org>  Tue, 08 Nov 2011 21:24:11 +0800

libgooglepinyin (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #633106)

 -- Aron Xu <aron@debian.org>  Mon, 05 Sep 2011 17:53:28 +0800

=== debian/rules ===
#!/usr/bin/make -f
LDFLAGS+=-Wl,--as-needed
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_STATIC=True -DLIB_INSTALL_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
override_dh_strip:
	dh_strip --dbg-package=libgooglepinyin0-dbg

## libgooglepinyin 0.1.2

=== CMakeLists.txt ===
project(googlepinyin)
cmake_minimum_required(VERSION 2.6)

option(ENABLE_STATIC "Build static library" False)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${prefix}/bin)
set(libdir ${LIB_INSTALL_DIR})
set(datadir ${CMAKE_INSTALL_PREFIX}/share)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include/googlepinyin)
set(CMAKE_C_FLAGS "-Wall ${CMAKE_C_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAG}")

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(include)
add_subdirectory(data)

=== data/CMakeLists.txt ===
include(TestBigEndian)

test_big_endian(BIGENDIAN)
if (BIGENDIAN)
    set(DATA_SUFFIX ".be")
else (BIGENDIAN)
    set(DATA_SUFFIX "")
endif (BIGENDIAN)

add_custom_command(OUTPUT dict_pinyin.dat
                   DEPENDS dictbuilder
                   COMMAND dictbuilder ${CMAKE_CURRENT_SOURCE_DIR}/rawdict_utf16_65105_freq${DATA_SUFFIX}.txt ${CMAKE_CURRENT_SOURCE_DIR}/valid_utf16${DATA_SUFFIX}.txt)

add_custom_target(datafile ALL DEPENDS dict_pinyin.dat)

configure_file(googlepinyin.pc.in ${CMAKE_CURRENT_BINARY_DIR}/googlepinyin.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dict_pinyin.dat DESTINATION ${libdir}/googlepinyin/data)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/googlepinyin.pc DESTINATION ${libdir}/pkgconfig)

=== include/CMakeLists.txt ===
set(GOOGLEPINYIN_HEADERS
atomdictbase.h
dictbuilder.h
dictdef.h
dictlist.h
dicttrie.h
lpicache.h
matrixsearch.h
mystdlib.h
ngram.h
pinyinime.h
searchutility.h
spellingtable.h
spellingtrie.h
splparser.h
sync.h
userdict.h
utf16char.h
utf16reader.h
)

install(FILES ${GOOGLEPINYIN_HEADERS} DESTINATION ${includedir})

=== src/CMakeLists.txt ===
set(LIBGOOGLEPINYIN_API_VERSION "0.1.0")

set(LIBGOOGLEPINYIN_ABI_VERSION "0.1.0")
set(LIBGOOGLEPINYIN_ABI_MAJOR_VERSION "0")

set(GOOGLEPINYIN_SRC
	dictbuilder.cpp
	dictlist.cpp
	dicttrie.cpp
	lpicache.cpp
	matrixsearch.cpp
	mystdlib.cpp
	ngram.cpp
	pinyinime.cpp
	searchutility.cpp
	spellingtable.cpp
	spellingtrie.cpp
	splparser.cpp
	sync.cpp
	userdict.cpp
	utf16char.cpp
	utf16reader.cpp
)

add_library(googlepinyin SHARED ${GOOGLEPINYIN_SRC})
target_link_libraries(googlepinyin pthread )
set_target_properties(googlepinyin PROPERTIES
    VERSION ${LIBGOOGLEPINYIN_ABI_VERSION}
    SOVERSION ${LIBGOOGLEPINYIN_ABI_MAJOR_VERSION}
    LINK_FLAGS ${CMAKE_SHARED_LINKER_FLAGS}
)

if (ENABLE_STATIC)

add_library(googlepinyin-static STATIC ${GOOGLEPINYIN_SRC})
SET_TARGET_PROPERTIES(googlepinyin-static PROPERTIES
    OUTPUT_NAME "googlepinyin"
    PREFIX "lib"
)

install(TARGETS googlepinyin-static
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)
endif (ENABLE_STATIC)
install(TARGETS googlepinyin
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

=== tools/CMakeLists.txt ===
set(DICTBUILDER_SRCS
	pinyinime_dictbuilder.cpp
)

add_executable(dictbuilder ${DICTBUILDER_SRCS})
target_link_libraries(dictbuilder googlepinyin)

=== debian/changelog ===
libgooglepinyin (0.1.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sun, 16 Aug 2015 16:54:38 +0800

libgooglepinyin (0.1.2-3) experimental; urgency=medium

  * Update symbols for 32-bit architectures

 -- Aron Xu <aron@debian.org>  Tue, 10 Feb 2015 04:53:01 +0800

libgooglepinyin (0.1.2-2) experimental; urgency=medium

  * Add symbols.
  * Update debian/copyright.
  * Enable all hardening features.
  * Remove useless DMUA.
  * Update Uploaders.
  * Use canonical VCS-*
  * Require debhelper >= 9.
  * Bump std-ver to 3.9.6, no change.

 -- Aron Xu <aron@debian.org>  Fri, 09 Jan 2015 19:35:37 +0800

libgooglepinyin (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 03 Feb 2012 21:41:29 +0800

=== debian/control ===
Source: libgooglepinyin
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.6
Section: libs
Homepage: http://code.google.com/p/libgooglepinyin
Vcs-Git: git://anonscm.debian.org/pkg-ime/libgooglepinyin.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ime/libgooglepinyin.git

Package: libgooglepinyin0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgooglepinyin0 (= ${binary:Version})
Provides: libgooglepinyin-dev
Conflicts: libgooglepinyin-dev
Description: Pinyin engine fork from Google Pinyin on Android - development files
 libgooglepinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.
 .
 This package provides the library development files.

Package: libgooglepinyin0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libgooglepinyin
Description: Pinyin engine fork from Google Pinyin on Android
 libgooglepinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.
 .
 This package provides the library file.

Package: libgooglepinyin0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgooglepinyin0 (= ${binary:Version}) 
Description: Pinyin engine fork from Google Pinyin on Android - debug symbols
 libgooglepinyin is a fork of Google Pinyin on Android, it features
 to have excellent input experience and uses little resource.
 .
 This package provides the library debug symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
+DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/default.mk
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 LDFLAGS+=-Wl,--as-needed
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://code.google.com/p/libgooglepinyin/downloads/list .*/libgooglepinyin-*\.*(.*)\.tar\.xz
